/* Defines for the high level client API of 'socloc' used by a 'socloc'
   server. Rick Smereka, Copyright (C) 2003.
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com
   
   Original Linux version. May/2003, Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

int sloc_custom_status(char *, int);
int sloc_get_list(char *);
int sloc_config_get_list(char *);
int sloc_bcast_add(char *, char *, int, char *);
int sloc_bcast_delete(int);
int sloc_bcast_config_add(char *, int, char *);
int sloc_bcast_config_delete(int);
void sloc_get_active_socloc(char *, int *);
int sloc_find_first_active(void);
int sloc_is_init(void);

#ifdef __cplusplus
}
#endif

